clear all
close all
table1 = readmatrix('flexsec-1.txt');
table2 = readmatrix('flexsec2.txt');
table3 = readmatrix('flexsec3.txt');
table4 = readmatrix('LC1-TB-My-Wasim.txt');
table42 = readmatrix('LC2-TB-My-Wasim.txt');
table43 = readmatrix('LC3-TB-My-Wasim.txt');
table5 = readmatrix('fbTBMy.txt');
table6 = readmatrix('Force.txt');
table7 = readmatrix ('LC1-1.txt');
table8 = readmatrix ('LC1-2.txt');
table9 = readmatrix ('LC1-3.txt');
table10 = readmatrix('LC2-1.txt');
table11 = readmatrix('LC2-2.txt');
table12 = readmatrix('LC2-3.txt');
table13 = readmatrix('LC3-1.txt');
table14 = readmatrix('LC3-2.txt');
table15 = readmatrix('LC3-3.txt');
table16 = readmatrix('fbsec1Fa.txt')
table17 = readmatrix('fbse2FaLC1.txt')
table18 = readmatrix('fbsec3FaLC1.txt')
table19 = readmatrix('fbsec1FaLC2.txt');
table20 = readmatrix('fbsec2FaLC2.txt');
table21 = readmatrix('fbsec3FaLC2.txt');
table22 = readmatrix('fbsec1FaLC3.txt');
table23 = readmatrix('fbsec2FaLC3.txt');
table24 = readmatrix('fbsec3FaLC3.txt');
table25 = readmatrix('fbsec1MyLC1.txt');
table26 = readmatrix('fbsec2MyLC1.txt');
table27 = readmatrix('fbsec3MyLC1.txt');
table28 = readmatrix('fbsec1MyLC2.txt');
table29 = readmatrix('fbsec2MyLC2.txt');
table30 = readmatrix('fbsec3MyLC2.txt');
table31 = readmatrix('fbsec1MyLC3.txt');
table32 = readmatrix('fbsec2MyLC3.txt');
table33 = readmatrix('fbsec3MyLC3.txt');
t = table7(:,1)
LC1sec1Fx=table7(:,2)-mean(table7(:,2));
LC1sec1Fz=table7(:,4)-mean(table7(:,4));
LC1sec1My=table7(:,6)-mean(table7(:,6));
LC1sec2Fx=table8(:,2)-mean(table8(:,2));
LC1sec2Fz=table8(:,4)-mean(table8(:,4));
LC1sec2My=table8(:,6)-mean(table8(:,6));
LC1sec3Fx=table9(:,2)-mean(table9(:,2));
LC1sec3Fz=table9(:,4)-mean(table9(:,4));
LC1sec3My=table9(:,6)-mean(table9(:,6));
LC2sec1Fx=table10(:,2)-mean(table10(:,2));
LC2sec1Fz=table10(:,4)-mean(table10(:,4));
LC2sec1My=table10(:,6)-mean(table10(:,6));
LC2sec2Fx=table11(:,2)-mean(table11(:,2));
LC2sec2Fz=table11(:,4)-mean(table11(:,4));
LC2sec2My=table11(:,6)-mean(table11(:,6));
LC2sec3Fx=table12(:,2)-mean(table12(:,2));
LC2sec3Fz=table12(:,4)-mean(table12(:,4));
LC2sec3My=table12(:,6)-mean(table12(:,6));
LC3sec1Fx=table13(:,2)-mean(table13(:,2));
LC3sec1Fz=table13(:,4)-mean(table13(:,4));
LC3sec1My=table13(:,6)-mean(table13(:,6));
LC3sec2Fx=table14(:,2)-mean(table14(:,2));
LC3sec2Fz=table14(:,4)-mean(table14(:,4));
LC3sec2My=table14(:,6)-mean(table14(:,6));
LC3sec3Fx=table15(:,2)-mean(table15(:,2));
LC3sec3Fz=table15(:,4)-mean(table15(:,4));
LC3sec3My=table15(:,6)-mean(table15(:,6));
%%
subplot(3,1,1)
plot(t(36000:40000),-LC1sec1Fx(36000:40000),'-r','LineWidth',1)
hold on 
plot(t(36000:40000),-LC1sec2Fx(36000:40000),'-b','LineWidth',1)
hold on
plot(t(36000:40000),-LC1sec3Fx(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('Axial Force (N)')
grid on


subplot(3,1,2)
plot(t(36000:40000),-LC1sec1Fz(36000:40000),'-r','LineWidth',1)
hold on 
plot(t(36000:40000),-LC1sec2Fz(36000:40000),'-b','LineWidth',1)
hold on
plot(t(36000:40000),-LC1sec3Fz(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('Shear Force (N)')
grid on


subplot(3,1,3)
plot(t(36000:40000),-LC1sec1My(36000:40000),'-r','LineWidth',1)
hold on
plot(t(36000:40000),-LC1sec2My(36000:40000),'-b','LineWidth',1)
hold on
plot(t(36000:40000),-LC1sec3My(36000:40000),'-m','LineWidth',1)
legend('Section 1','Section 2','Section 3')
xlabel('time(secs)')
ylabel('M_{y} (N.m)')

grid on
sgtitle('Load case 1')

%%
figure
subplot(3,1,1)
plot(t(36000:40000),-LC2sec1Fx(36000:40000),'-r','LineWidth',1)
hold on 
plot(t(36000:40000),-LC2sec2Fx(36000:40000),'-b','LineWidth',1)
hold on
plot(t(36000:40000),-LC2sec3Fx(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('Axial Force (N)')
grid on


subplot(3,1,2)
plot(t(36000:40000),-LC2sec1Fz(36000:40000),'-r','LineWidth',1)
hold on 
plot(t(36000:40000),-LC2sec2Fz(36000:40000),'-b','LineWidth',1)
hold on
plot(t(36000:40000),-LC2sec3Fz(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('Shear Force (N)')
grid on


subplot(3,1,3)
plot(t(36000:40000),-LC2sec1My(36000:40000),'-r','LineWidth',1)
hold on
plot(t(36000:40000),-LC2sec2My(36000:40000),'-b','LineWidth',1)
hold on
plot(t(36000:40000),-LC2sec3My(36000:40000),'-m','LineWidth',1)
legend('Section 1','Section 2','Section 3')
xlabel('time(secs)')
ylabel('M_{y} (N.m)')

grid on
sgtitle('Load case 2')
%%
figure
subplot(3,1,1)
plot(t(36000:40000),-LC3sec1Fx(36000:40000),'-r','LineWidth',1)
hold on 
plot(t(36000:40000),-LC3sec2Fx(36000:40000),'-b','LineWidth',1)
hold on
plot(t(36000:40000),-LC3sec3Fx(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('Axial Force (N)')
grid on


subplot(3,1,2)
plot(t(36000:40000),-LC3sec1Fz(36000:40000),'-r','LineWidth',1)
hold on 
plot(t(36000:40000),-LC3sec2Fz(36000:40000),'-b','LineWidth',1)
hold on
plot(t(36000:40000),-LC3sec3Fz(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('Shear Force (N)')
grid on


subplot(3,1,3)
plot(t(36000:40000),-LC3sec1My(36000:40000),'-r','LineWidth',1)
hold on
plot(t(36000:40000),-LC3sec2My(36000:40000),'-b','LineWidth',1)
hold on
plot(t(36000:40000),-LC3sec3My(36000:40000),'-m','LineWidth',1)
legend('Section 1','Section 2','Section 3')
xlabel('time(secs)')
ylabel('M_{y} (N.m)')

grid on
sgtitle('Load case 3')
%%
LC1TBfb = table5(:,1)-mean(table5(:,1));
LC2TBfb = table5(:,2)-mean(table5(:,2));
LC3TBfb = table5(:,3)-mean(table5(:,3));
LC1TBrb = table4(:,1)-mean(table4(:,1));
LC2TBrb = table42(:,1)-mean(table42(:,1));
LC3TBrb = table43(:,1)-mean(table43(:,1));
figure
subplot(3,1,1)
plot(t(36000:40000),LC1TBfb(36000:40000)*1000,'-b','LineWidth',1)
hold on
plot(t(36000:40000),LC1TBrb(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('M_{y} (N.m)')
title('Load Case 1')
subplot(3,1,2)
plot(t(36000:40000),LC2TBfb(36000:40000)*1000,'-b','LineWidth',1)
hold on
plot(t(36000:40000),LC2TBrb(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('M_{y} (N.m)')
title('Load Case 2')
grid on
subplot(3,1,3)
plot(t(36000:40000),LC3TBfb(36000:40000)*1000,'-b','LineWidth',1)
hold on
plot(t(36000:40000),LC3TBrb(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('M_{y} (N.m)')
legend('Flexible Body','Rigid Body')
title('Load Case 3')


% LC1sec1fb   = table1(:,1)-mean(table1(:,1));
% LC1sec1rb  = table7(:,1)-mean(table7(:,1));
% LC1sec2fb =  table2(:,1);
% LC1sec3fb=  table3(:,1);
% LC2sec1fb =  table1(:,2);
% LC2sec2fb =  table2(:,2);
% Lc2sec3fb = table3(:,2);
% LC3sec1fb = table1(:,3);
% LC3sec2fb = table2(:,3);
% Lc3sec3fb= table3(:,3);

%% Load case 1 : Axial Load

LC1sec1Fafb = table16(:,1)-mean(table16(:,1));
LC1sec2Fafb = table17(:,1)-mean(table16(:,1));
LC1sec3Fafb = table18(:,1)-mean(table16(:,1));
LC1sec1Farb = table7(:,2)-mean(table7(:,2));
LC1sec2Farb = table8(:,2)-mean(table8(:,2));
LC1sec3Farb = table9(:,2)-mean(table9(:,2));
figure
subplot(3,1,1)
plot(t(36000:40000),LC1sec1Fafb(36000:40000)*1000,'-b','LineWidth',1)
hold on
plot(t(36000:40000),LC1sec1Farb(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('Axial Load (N)')
title('Section 1')
grid on
subplot(3,1,2)
plot(t(36000:40000),LC1sec2Fafb(36000:40000)*1000,'-b','LineWidth',1)
hold on
plot(t(36000:40000),LC1sec2Farb(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('Axial Load (N)')
title('Section 2')
grid on
subplot(3,1,3)
plot(t(36000:40000),LC1sec3Fafb(36000:40000)*1000,'-b','LineWidth',1)
hold on
plot(t(36000:40000),LC1sec3Farb(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('Axial Load (N)')
legend('Flexible Body','Rigid Body')
title('Section 3')
grid on
sgtitle('Load case 1')

%% Load case 2 : Axial Load

LC2sec1Fafb = table19(:,1)-mean(table19(:,1));
LC2sec2Fafb = table20(:,1)-mean(table20(:,1));
LC2sec3Fafb = table21(:,1)-mean(table21(:,1));
LC2sec1Farb = table10(:,2)-mean(table10(:,2));
LC2sec2Farb = table11(:,2)-mean(table11(:,2));
LC2sec3Farb = table12(:,2)-mean(table12(:,2));
figure
subplot(3,1,1)
plot(t(36000:40000),LC2sec1Fafb(36000:40000)*1000,'-b','LineWidth',1)
hold on
plot(t(36000:40000),LC2sec1Farb(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('Axial Load (N)')
title('Section 1')
grid on
subplot(3,1,2)
plot(t(36000:40000),LC2sec2Fafb(36000:40000)*1000,'-b','LineWidth',1)
hold on
plot(t(36000:40000),LC2sec2Farb(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('Axial Load (N)')
title('Section 2')
grid on
subplot(3,1,3)
plot(t(36000:40000),LC2sec3Fafb(36000:40000)*1000,'-b','LineWidth',1)
hold on
plot(t(36000:40000),LC2sec3Farb(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('Axial Load (N)')
legend('Flexible Body','Rigid Body')
title('Section 3')
grid on
sgtitle('Load case 2')

%% Load Case 3: Axial Load

LC3sec1Fafb = table22(:,1)-mean(table22(:,1));
LC3sec2Fafb = table23(:,1)-mean(table23(:,1));
LC3sec3Fafb = table24(:,1)-mean(table24(:,1));
LC3sec1Farb = table13(:,2)-mean(table13(:,2));
LC3sec2Farb = table14(:,2)-mean(table14(:,2));
LC3sec3Farb = table15(:,2)-mean(table15(:,2));
figure
subplot(3,1,1)
plot(t(36000:40000),LC3sec1Fafb(36000:40000)*1000,'-b','LineWidth',1)
hold on
plot(t(36000:40000),LC3sec1Farb(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('Axial Load (N)')
title('Section 1')
grid on
subplot(3,1,2)
plot(t(36000:40000),LC3sec2Fafb(36000:40000)*1000,'-b','LineWidth',1)
hold on
plot(t(36000:40000),LC3sec2Farb(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('Axial Load (N)')
title('Section 2')
grid on
subplot(3,1,3)
plot(t(36000:40000),LC3sec3Fafb(36000:40000)*1000,'-b','LineWidth',1)
hold on
plot(t(36000:40000),LC3sec3Farb(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('Axial Load (N)')
legend('Flexible Body','Rigid Body')
title('Section 3')
grid on
sgtitle('Load case 3')


%% Load case 1 : Bending Moment

LC1sec1Mzfb = table25(:,1)-mean(table25(:,1));
LC1sec2Mzfb = table26(:,1)-mean(table26(:,1));
LC1sec3Mzfb = table27(:,1)-mean(table27(:,1));
LC1sec1Mzrb = table7(:,7)-mean(table7(:,7));
LC1sec2Mzrb = table8(:,7)-mean(table8(:,7));
LC1sec3Mzrb = table9(:,7)-mean(table9(:,7));
figure
subplot(3,1,1)
plot(t(36000:40000),LC1sec1Mzfb(36000:40000)*1000,'-b','LineWidth',1)
hold on
plot(t(36000:40000),LC1sec1Mzrb(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('M_{y}(N.m)')
title('Section 1')
grid on
subplot(3,1,2)
plot(t(36000:40000),LC1sec2Mzfb(36000:40000)*1000,'-b','LineWidth',1)
hold on
plot(t(36000:40000),LC1sec2Mzrb(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('M_{y}(N.m)')
title('Section 2')
grid on
subplot(3,1,3)
plot(t(36000:40000),LC1sec3Mzfb(36000:40000)*1000,'-b','LineWidth',1)
hold on
plot(t(36000:40000),LC1sec3Mzrb(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('M_{y}(N.m)')
legend('Flexible Body','Rigid Body')
title('Section 3')
grid on
sgtitle('Load case 1')

%% Load case 2 : Bending Moment


LC1sec1Mzfb = table28(:,1)-mean(table25(:,1));
LC1sec2Mzfb = table29(:,1)-mean(table26(:,1));
LC1sec3Mzfb = table30(:,1)-mean(table27(:,1));
LC1sec1Mzrb = table10(:,7)-mean(table7(:,7));
LC1sec2Mzrb = table11(:,7)-mean(table8(:,7));
LC1sec3Mzrb = table12(:,7)-mean(table9(:,7));
figure
subplot(3,1,1)
plot(t(36000:40000),LC1sec1Mzfb(36000:40000)*1000,'-b','LineWidth',1)
hold on
plot(t(36000:40000),LC1sec1Mzrb(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('M_{y}(N.m)')
title('Section 1')
grid on
subplot(3,1,2)
plot(t(36000:40000),LC1sec2Mzfb(36000:40000)*1000,'-b','LineWidth',1)
hold on
plot(t(36000:40000),LC1sec2Mzrb(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('M_{y}(N.m)')
title('Section 2')
grid on
subplot(3,1,3)
plot(t(36000:40000),LC1sec3Mzfb(36000:40000)*1000,'-b','LineWidth',1)
hold on
plot(t(36000:40000),LC1sec3Mzrb(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('M_{y}(N.m)')
legend('Flexible Body','Rigid Body')
title('Section 3')
grid on
sgtitle('Load case 2')

%% %% Load case 3 : Bending Moment

LC3sec1Mzfb = table31(:,1)-mean(table31(:,1));
LC3sec2Mzfb = table32(:,1)-mean(table32(:,1));
LC3sec3Mzfb = table33(:,1)-mean(table33(:,1));
LC3sec1Mzrb = table10(:,7)-mean(table13(:,7));
LC3sec2Mzrb = table11(:,7)-mean(table14(:,7));
LC3sec3Mzrb = table12(:,7)-mean(table15(:,7));
figure
subplot(3,1,1)
plot(t(36000:40000),LC3sec1Mzfb(36000:40000)*1000,'-b','LineWidth',1)
hold on
plot(t(36000:40000),LC3sec1Mzrb(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('M_{y}(N.m)')
title('Section 1')
grid on
subplot(3,1,2)
plot(t(36000:40000),LC3sec2Mzfb(36000:40000)*1000,'-b','LineWidth',1)
hold on
plot(t(36000:40000),LC3sec2Mzrb(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('M_{y}(N.m)')
title('Section 2')
grid on
subplot(3,1,3)
plot(t(36000:40000),LC3sec3Mzfb(36000:40000)*1000,'-b','LineWidth',1)
hold on
plot(t(36000:40000),LC3sec3Mzrb(36000:40000),'-m','LineWidth',1)
xlabel('time(secs)')
ylabel('M_{y}(N.m)')
legend('Flexible Body','Rigid Body')
title('Section 3')
grid on
sgtitle('Load case 3')

