clear all
close all
clc
%%  READING FILES
T = [5:1:30];
omega=1./T
table1 = readmatrix('Sectionload.txt');
table2 = readmatrix('Sectionload 2.txt');
table3 = readmatrix('Sectionload 3.txt');
table4 = readmatrix('loadwasimsection1.txt');
table5 = readmatrix('loadwasimsection2.txt');
table6 = readmatrix('loadwasimsection3.txt');
table7 = readmatrix('loadsimasection1.txt');
table8 = readmatrix('loadsimasection2.txt');
table9 = readmatrix('loadsimasection3.txt');
t      = readmatrix('timeseries.txt');
t_start = 500;
indstart = sum(t<=t_start);
t_end = 1500;
indend = sum(t<=t_end)
t_new = t(indstart+1:indend);
%%
for a = 1:1:6
    for c = 1:1:size(T,2)
     b = a:6:6*size(T,2);
f1_wasim(:,c) = table4(:,b(c));
f1_new_wasim(:,c) = f1_wasim((indstart+1:indend),c)-mean(f1_wasim((indstart+1:indend),c));
f2_wasim(:,c) = table5(:,b(c));
f2_new_wasim(:,c) = f2_wasim((indstart+1:indend),c)-mean(f2_wasim(:,c));
f3_wasim(:,c) = table6(:,b(c));
f3_new_wasim(:,c) = f3_wasim((indstart+1:indend),c)-mean(f3_wasim(:,c));


dt=0.1;
% f1_xbp_wasim(:,c) = bpass(f1_new_wasim(:,c),dt,(0.9/T(c)),(1.1/T(c))); % output 
% f1_filtered_wasim(:,c)=f1_xbp_wasim(:,c);
% f2_xbp_wasim(:,c) = bpass(f2_new_wasim(:,c),dt,(0.9/T(c)),(1.1/T(c))); % output 
% f2_filtered_wasim(:,c)=f2_xbp_wasim(:,c);
% f3_xbp_wasim(:,c) = bpass(f3_new_wasim(:,c),dt,(0.9/T(c)),(1.1/T(c))); % output 
% f3_filtered_wasim(:,c)=f3_xbp_wasim(:,c);

[maxvalf1_wasim(:,c)] = Single_Side_Amplitude_Spectrum(t,f1_new_wasim(:,c))
Avg_f1_wasim(c,a) = maxvalf1_wasim(:,c);
[maxvalf2_wasim(:,c)] = Single_Side_Amplitude_Spectrum(t,f2_new_wasim(:,c))
Avg_f2_wasim(c,a) = maxvalf2_wasim(:,c);
[maxvalf3_wasim(:,c)] = Single_Side_Amplitude_Spectrum(t,f3_new_wasim(:,c))
Avg_f3_wasim(c,a) = maxvalf3_wasim(:,c);
% f1_sima(:,c) = table4(:,b(c));
% f1_new_sima(:,c) = f1_sima((indstart+1:indend),c);
% f2_sima(:,c) = table8(:,b(c));
% f2_new_sima(:,c) = f2_sima((indstart+1:indend),c);
% f3_sima(:,c) = table9(:,b(c));
% f3_new_sima(:,c) = f3_sima((indstart+1:indend),c);
% 
% 
% dt=0.1;
% f1_xbp_sima(:,c) = bpass(f1_new_sima(:,c),dt,(0.9/T(c)),(1.1/T(c))); % output 
% f1_filtered_sima(:,c)=f1_xbp_sima(:,c);
% f2_xbp_sima(:,c) = bpass(f2_new_sima(:,c),dt,(0.9/T(c)),(1.1/T(c))); % output 
% f2_filtered_sima(:,c)=f2_xbp_sima(:,c);
% f3_xbp_sima(:,c) = bpass(f3_new_sima(:,c),dt,(0.9/T(c)),(1.1/T(c))); % output 
% f3_filtered_sima(:,c)=f3_xbp_sima(:,c);

%% Find Peaks using wafo (here we use PQ analysis function but we are only interested in tpp)
% [P,Q,xbar,dx,tp,tpp] = PQanalysis1(t_new,f1_filtered_wasim(:,c),1);
% Avg_f1_wasim(c,a) = max(tpp(:,2));
% [P,Q,xbar,dx,tp,tpp] = PQanalysis1(t_new,f2_filtered_wasim(:,c),1);
% Avg_f2_wasim(c,a) = max(tpp(:,2));
% [P,Q,xbar,dx,tp,tpp] = PQanalysis1(t_new,f3_filtered_wasim(:,c),1);
% Avg_f3_wasim(c,a) = max(tpp(:,2));

% [P,Q,xbar,dx,tp,tpp] = PQanalysis1(t_new,f1_filtered_sima(:,c),1);
% Avg_f1_sima(c,a) = max(tpp(:,2));
% [P,Q,xbar,dx,tp,tpp] = PQanalysis1(t_new,f2_filtered_sima(:,c),1);
% Avg_f2_sima(c,a) = max(tpp(:,2));
% [P,Q,xbar,dx,tp,tpp] = PQanalysis1(t_new,f3_filtered_sima(:,c),1);
% Avg_f3_sima(c,a) = max(tpp(:,2));


end
end
T1 = [5:1:30];
omega1=1./T1;
for a = 1:1:6
    for c = 1:1:size(T1,2)
     b = a:6:6*size(T1,2);
f1_sima(:,c) = table7(:,b(c));
f1_new_sima(:,c) = f1_sima((indstart+1:indend),c);
f2_sima(:,c) = table8(:,b(c));
f2_new_sima(:,c) = f2_sima((indstart+1:indend),c);
f3_sima(:,c) = table9(:,b(c));
f3_new_sima(:,c) = f3_sima((indstart+1:indend),c);

dt=0.1;


%% Find Peaks using wafo (here we use PQ analysis function but we are only interested in tpp)
[maxvalf1_sima(:,c)] = Single_Side_Amplitude_Spectrum(t,f1_new_sima(:,c))
Avg_f1_sima(c,a) = maxvalf1_sima(:,c);
[maxvalf2_sima(:,c)] = Single_Side_Amplitude_Spectrum(t,f2_new_sima(:,c))
Avg_f2_sima(c,a) = maxvalf2_sima(:,c);
[maxvalf3_sima(:,c)] = Single_Side_Amplitude_Spectrum(t,f3_new_sima(:,c))
Avg_f3_sima(c,a) = maxvalf3_sima(:,c);
    end
end
%% FREQUENCY DOMAIN WADAM- SECTIONAL LOAD
for k = 1:1:6
    j=k:6:6*size(T,2);
for i = 1:size(j,2)
f1(i,k) = table1(j(i),2); % Section 1
f2(i,k) = table2(j(i),2); % Section 2
f3(i,k) = table3(j(i),2); % Section 3

end
end
 %% SECTIONAL LOAD PHASE FD
 for k = 1:1:6
    j=k:6:6*size(T,2);
for i = 1:size(j,2)
p1(i,k) = table1(j(i),3);
p2(i,k) = table2(j(i),3);
p3(i,k) = table3(j(i),3);
end
 end
%% SECTIONAL LOAD PHASE TD WASIM


 
%% plot sectional loads -  in 101
close all
figure
subplot(3,1,1)
plot(omega,f1(:,1)*2.041e6,'-ob','LineWidth',0.75)
hold on 
plot(omega,Avg_f1_wasim(:,1),'-ok','LineWidth',0.75)
hold on 
plot(omega1,Avg_f1_sima(:,1),'-or','LineWidth',0.75)
legend('WADAM (Freq Domain)','WASIM (Time domain)','SIMA+WASIM (Time domain)')
xlabel('Wave Frequency (Hz)')
ylabel(' RAO (N/m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Load in section 1 in X-direction (Axial Force)')
grid on
% subplot(3,2,2)
% plot(omega,f1(:,4)*2.041e8,'-ob','LineWidth',0.75)
% hold on 
% plot(omega,Avg_f1_wasim(:,4),'-ok','LineWidth',0.75)
% hold on 
% plot(omega1,Avg_f1_sima(:,4),'-or','LineWidth',0.75)
% legend('WADAM (Freq Domain)','WASIM (Time domain)','SIMA+WASIM (Time domain)')
% xlabel('Wave Frequency (Hz)')
% ylabel(' RAO (Nm/m) ')
% % title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
% title('Moment about X axis in section 1')

% grid on
% subplot(3,2,3)
% plot(omega,f1(:,2)*2.041e6,'-ob','LineWidth',0.75)
% hold on 
% plot(omega,Avg_f1_wasim(:,2),'-ok','LineWidth',0.75)
% hold on 
% plot(omega1,Avg_f1_sima(:,2),'-or','LineWidth',0.75)
% legend('WADAM (Freq Domain)','WASIM (Time domain)','SIMA+WASIM (Time domain)')
% xlabel('Wave Frequency (Hz)')
% ylabel(' RAO (N/m) ')
% % title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
% title('Load in section 1 in Y-direction')
% grid on
subplot(3,1,3)
plot(omega,f1(:,5)*2.041e8,'-ob','LineWidth',0.75)
hold on 
plot(omega,Avg_f1_wasim(:,5),'-ok','LineWidth',0.75)
hold on 
plot(omega1,Avg_f1_sima(:,5),'-or','LineWidth',0.75)
legend('WADAM (Freq Domain)','WASIM (Time domain)','SIMA+WASIM (Time domain)')
xlabel('Wave Frequency (Hz)')
ylabel(' RAO(Nm/m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Moment about Y axis (Fore-Aft Bending Moment) in section 1')
grid on
subplot(3,1,2)
plot(omega,f1(:,3)*2.041e6,'-ob','LineWidth',0.75)
hold on 
plot(omega,Avg_f1_wasim(:,3),'-ok','LineWidth',0.75)
hold on 
plot(omega1,Avg_f1_sima(:,3),'-or','LineWidth',0.75)
legend('WADAM (Freq Domain)','WASIM (Time domain)','SIMA+WASIM (Time domain)')
xlabel('Wave Frequency (Hz)')
ylabel(' RAO (N/m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Load in section 1 in Z-direction (Shear Force)')
grid on
% subplot(3,2,6)
% plot(omega,f1(:,6)*2.041e8,'-ob','LineWidth',0.75)
% hold on 
% plot(omega,Avg_f1_wasim(:,6),'-ok','LineWidth',0.75)
% hold on 
% plot(omega1,Avg_f1_sima(:,6),'-or','LineWidth',0.75)
% legend('WADAM (Freq Domain)','WASIM (Time domain)','SIMA+WASIM (Time domain)')
% xlabel('Wave Frequency (Hz)')
% ylabel(' RAO(Nm/m) ')
% % title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
% title('Moment about Z axis in section 1')

% grid on
%% plot sectional loads -  in 102
figure
subplot(3,1,1)
plot(omega,f2(:,1)*2.041e6,'-ob','LineWidth',0.75)
hold on 
plot(omega,Avg_f2_wasim(:,1),'-ok','LineWidth',0.75)
hold on
plot(omega1,Avg_f2_sima(:,1),'-or','LineWidth',0.75)
legend('WADAM (Freq Domain)','WASIM (Time domain)','SIMA+WASIM (Time domain)')
xlabel('Wave Frequency (Hz)')
ylabel(' RAO (N/m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Load in section 2 in X-direction (Axial Force)')
grid on
% subplot(3,2,2)
% plot(omega,f2(:,4)*2.041e8,'-ob','LineWidth',0.75)
% hold on 
% plot(omega,Avg_f2_wasim(:,4),'-ok','LineWidth',0.75)
% hold on
% plot(omega1,Avg_f2_sima(:,4),'-or','LineWidth',0.75)
% legend('WADAM (Freq Domain)','WASIM (Time domain)','SIMA+WASIM (Time domain)')
% xlabel('Wave Frequency (Hz)')
% ylabel(' RAO (Nm/m) ')
% % title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
% title('Moment about X axis in section 2')
% grid on
% subplot(3,2,3)
% plot(omega,f2(:,2)*2.041e6,'-ob','LineWidth',0.75)
% hold on 
% plot(omega,Avg_f2_wasim(:,2),'-ok','LineWidth',0.75)
% hold on
% plot(omega1,Avg_f2_sima(:,2),'-or','LineWidth',0.75)
% legend('WADAM (Freq Domain)','WASIM (Time domain)','SIMA+WASIM (Time domain)')
% xlabel('Wave Frequency (Hz)')
% ylabel(' RAO (N/m) ')
% % title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
% title('Load in section 2 in Y-direction')
% grid on
subplot(3,1,3)
plot(omega,f2(:,5)*2.041e8,'-ob','LineWidth',0.75)
hold on 
plot(omega,Avg_f2_wasim(:,5),'-ok','LineWidth',0.75)
hold on
plot(omega1,Avg_f2_sima(:,5),'-or','LineWidth',0.75)
legend('WADAM (Freq Domain)','WASIM (Time domain)','SIMA+WASIM (Time domain)')
xlabel('Wave Frequency (Hz)')
ylabel(' RAO(Nm/m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Moment about Y axis (Fore-Aft Bending Moment) in section 2')
grid on
subplot(3,1,2)
plot(omega,f2(:,3)*2.041e6,'-ob','LineWidth',0.75)
hold on 
plot(omega,Avg_f2_wasim(:,3),'-ok','LineWidth',0.75)
hold on
plot(omega1,Avg_f2_sima(:,3),'-or','LineWidth',0.75)
legend('WADAM (Freq Domain)','WASIM (Time domain)','SIMA+WASIM (Time domain)')
xlabel('Wave Frequency (Hz)')
ylabel(' RAO (N/m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Load in section 2 in Z-direction (Shear Force)')
grid on
% subplot(3,2,6)
% plot(omega,f2(:,6)*2.041e8,'-ob','LineWidth',0.75)
% hold on 
% plot(omega,Avg_f2_wasim(:,6),'-ok','LineWidth',0.75)
% hold on
% plot(omega1,Avg_f2_sima(:,6),'-or','LineWidth',0.75)
% legend('WADAM (Freq Domain)','WASIM (Time domain)','SIMA+WASIM (Time domain)')
% xlabel('Wave Frequency (Hz)')
% ylabel(' RAO(Nm/m) ')
% % title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
% title('Moment about Z axis in section 2')
% 
% grid on

%% %% plot sectional loads -  in 103
figure
subplot(3,1,1)
plot(omega,f3(:,1)*2.041e6,'-ob','LineWidth',0.75)
hold on 
plot(omega,Avg_f3_wasim(:,1),'-ok','LineWidth',0.75)
hold on
plot(omega1,Avg_f3_sima(:,1),'-or','LineWidth',0.75)
legend('WADAM (Freq Domain)','WASIM (Time domain)','SIMA+WASIM (Time domain)')
xlabel('Wave Frequency (Hz)')
ylabel(' RAO (N/m) ')
title('Load in section 3 in X-direction (Axial Force)')
grid on
% subplot(3,2,2)
% plot(omega,f3(:,4)*2.041e8,'-ob','LineWidth',0.75)
% hold on 
% plot(omega,Avg_f3_wasim(:,4),'-ok','LineWidth',0.75)
% hold on
% plot(omega1,Avg_f3_sima(:,4),'-or','LineWidth',0.75)
% legend('WADAM (Freq Domain)','WASIM (Time domain)','SIMA+WASIM (Time domain)')
% xlabel('Wave Frequency (Hz)')
% ylabel(' RAO (Nm/m) ')
% title('Moment about X axis in section 3')
% grid on
% subplot(3,2,3)
% plot(omega,f3(:,2)*2.041e6,'-ob','LineWidth',0.75)
% hold on 
% plot(omega,Avg_f3_wasim(:,2),'-ok','LineWidth',0.75)
% hold on
% plot(omega1,Avg_f3_sima(:,2),'-or','LineWidth',0.75)
% legend('WADAM (Freq Domain)','WASIM (Time domain)','SIMA+WASIM (Time domain)')
% xlabel('Wave Frequency (Hz)')
% ylabel(' RAO (N/m) ')
% title('Load in section 3 in Y-direction')
% grid on
subplot(3,1,3)
plot(omega,f3(:,5)*2.041e8,'-ob','LineWidth',0.75)
hold on 
plot(omega,Avg_f3_wasim(:,5),'-ok','LineWidth',0.75)
hold on
plot(omega1,Avg_f3_sima(:,5),'-or','LineWidth',0.75)
legend('WADAM (Freq Domain)','WASIM (Time domain)','SIMA+WASIM (Time domain)')
xlabel('Wave Frequency (Hz)')
ylabel(' RAO(Nm/m) ')
title('Moment about Y axis (Fore-Aft Bending Moment) in section 3')
grid on
subplot(3,1,2)
plot(omega,f3(:,3)*2.041e6,'-ob','LineWidth',0.75)
hold on 
plot(omega,Avg_f3_wasim(:,3),'-ok','LineWidth',0.75)
hold on
plot(omega1,Avg_f3_sima(:,3),'-or','LineWidth',0.75)
legend('WADAM (Freq Domain)','WASIM (Time domain)','SIMA+WASIM (Time domain)')
xlabel('Wave Frequency (Hz)')
ylabel(' RAO (N/m) ')
title('Load in section 3 in Z-direction (Shear Force)')
grid on
% subplot(3,2,6)
% plot(omega,f3(:,6)*2.041e8,'-ob','LineWidth',0.75)
% hold on 
% plot(omega,Avg_f3_wasim(:,6),'-ok','LineWidth',0.75)
% hold on
% plot(omega1,Avg_f3_sima(:,6),'-or','LineWidth',0.75)
% legend('WADAM (Freq Domain)','WASIM (Time domain)','SIMA+WASIM (Time domain)')
% xlabel('Wave Frequency (Hz)')
% ylabel(' RAO(Nm/m) ')
% title('Moment about Z axis in section 3')
% 
% grid on
% 

%% Plot phase of sectional load - 101
figure
subplot(3,2,1)
plot(omega,p1(:,1),'-xr','LineWidth',0.75)
xlabel('Wave Frequency (Hz)')
ylabel(' Phase (deg)')
title('Phase of Moment about X axis in section 1')
grid on
subplot(3,2,2)
plot(omega,p1(:,4),'-xr','LineWidth',0.75)
xlabel('Wave Frequency (Hz)')
ylabel(' Phase (deg) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Phase of Moment about X axis in section 1')
grid on
subplot(3,2,3)
plot(omega,p1(:,2),'-xr','LineWidth',0.75)
xlabel('Wave Frequency (Hz)')
ylabel(' Phase (deg) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Phase of Load in section 1 in Y-direction')
grid on
subplot(3,2,4)
plot(omega,p1(:,5),'-xr','LineWidth',0.75)
xlabel('Wave Frequency (Hz)')
ylabel(' Phase (deg) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Phase of Moment about Y axis in section 1')
grid on
subplot(3,2,5)
plot(omega,p1(:,3),'-xr','LineWidth',0.75)
xlabel('Wave Frequency (Hz)')
ylabel(' Phase (deg) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Phase of Load in section 1 in Z-direction')
grid on
subplot(3,2,6)
plot(omega,p1(:,6),'-xr','LineWidth',0.75)
xlabel('Wave Frequency (Hz)')
ylabel('Phase (deg) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Phase of Moment about Z axis in section 1')

grid on
%% Plot phase of sectional load - 102
 figure
subplot(3,2,1)
plot(omega,p2(:,1),'-xr','LineWidth',0.75)
xlabel('Wave Frequency (Hz)')
ylabel(' Phase (deg)')
title('Phase of Moment about X axis in section 2')
grid on
subplot(3,2,2)
plot(omega,p2(:,4),'-xr','LineWidth',0.75)
xlabel('Wave Frequency (Hz)')
ylabel(' Phase (deg) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Phase of Moment about X axis in section 2')
grid on
subplot(3,2,3)
plot(omega,p2(:,2),'-xr','LineWidth',0.75)
xlabel('Wave Frequency (Hz)')
ylabel(' Phase (deg) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Phase of Load in section 2 in Y-direction')
grid on
subplot(3,2,4)
plot(omega,p2(:,5),'-xr','LineWidth',0.75)
xlabel('Wave Frequency (Hz)')
ylabel(' Phase (deg) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Phase of Moment about Y axis in section 2')
grid on
subplot(3,2,5)
plot(omega,p2(:,3),'-xr','LineWidth',0.75)
xlabel('Wave Frequency (Hz)')
ylabel(' Phase (deg) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Phase of Load in section 2 in Z-direction')
grid on
subplot(3,2,6)
plot(omega,p2(:,6),'-xr','LineWidth',0.75)
xlabel('Wave Frequency (Hz)')
ylabel('Phase (deg) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Phase of Moment about Z axis in section 2')

grid on

%% Plot phase of sectional load - 103

 figure
subplot(3,2,1)
plot(omega,p3(:,1),'-xr','LineWidth',0.75)
xlabel('Wave Frequency (Hz)')
ylabel(' Phase (deg)')
title('Phase of Moment about X axis in section 3')
grid on
subplot(3,2,2)
plot(omega,p3(:,4),'-xr','LineWidth',0.75)
xlabel('Wave Frequency (Hz)')
ylabel(' Phase (deg) ')
title('Phase of Moment about X axis in section 3')
grid on
subplot(3,2,3)
plot(omega,p3(:,2),'-xr','LineWidth',0.75)
xlabel('Wave Frequency (Hz)')
ylabel(' Phase (deg) ')
title('Phase of Load in section 3 in Y-direction')
grid on
subplot(3,2,4)
plot(omega,p3(:,5),'-xr','LineWidth',0.75)
xlabel('Wave Frequency (Hz)')
ylabel(' Phase (deg) ')
title('Phase of Moment about Y axis in section 3')
grid on
subplot(3,2,5)
plot(omega,p3(:,3),'-xr','LineWidth',0.75)
xlabel('Wave Frequency (Hz)')
ylabel(' Phase (deg) ')
title('Phase of Load in section 3 in Z-direction')
grid on
subplot(3,2,6)
plot(omega,p3(:,6),'-xr','LineWidth',0.75)
xlabel('Wave Frequency (Hz)')
ylabel('Phase (deg) ')
title('Phase of Moment about Z axis in section 3')

grid on
%% 
close all
table4 = readmatrix('loadwasimsection1.txt');
table7 = readmatrix('loadsimasection1.txt');
a = table4(:,1);
b =table4(:,3);
c =table4(:,5);
x=table7(:,1);
y = table7(:,3);
z=  table7(:,5);
t      = readmatrix('timeseries.txt');
figure
subplot(3,1,1)
plot(t(1:16000),a(1:16000),'-b','LineWidth',0.75)
hold on 
plot(t(1:16000),x(1:16000),'-k','LineWidth',0.75)
legend('WASIM ','WASIM+SIMA','NumColumns',2)
xlabel('time (secs)')
ylabel(' Load (N) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Time series of Load in x-direction (Axial force) in Section 1')
grid on
subplot(3,1,2)
plot(t(1:16000),b(1:16000),'-b','LineWidth',0.75)
hold on 
plot(t(1:16000),y(1:16000),'-k','LineWidth',0.75)

xlabel('time (secs)')
ylabel(' Load (N) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Time series of load in z-direction (Shear force) in Section 1')
grid on
subplot(3,1,3)
plot(t(1:16000),c(1:16000),'-b','LineWidth',0.75)
hold on 
plot(t(1:16000),-z(1:16000),'-k','LineWidth',0.75)

xlabel('time (secs)')
ylabel(' Moment (N-m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Time series of load in z-direction (Shear force) in Section 1')
grid on