close all
table4 = readmatrix('loadwasimsection1.txt');
table7 = readmatrix('loadsimasection1.txt');
a = table4(:,1);
b =table4(:,3);
c =table4(:,5);
x=table7(:,1);
y = table7(:,3);
z=  table7(:,5);
t      = readmatrix('timeseries.txt');
figure
subplot(3,1,1)
plot(t(1:16000),a(1:16000)) %,'-b','LineWidth',1)
hold on 
plot(t(1:16000),x(1:16000)) %,'-k','LineWidth',1)
legend('WASIM ','WASIM+SIMA','NumColumns',2)
xlabel('time (secs)')
ylabel(' Load (N) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Time series of Load in x-direction (Axial force) in Section 1')
grid on
subplot(3,1,2)
plot(t(1:16000),b(1:16000))%,'-b','LineWidth',1)
hold on 
plot(t(1:16000),y(1:16000))%,'-k','LineWidth',1)

xlabel('time (secs)')
ylabel(' Load (N) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Time series of load in z-direction (Shear force) in Section 1')
grid on
subplot(3,1,3)
plot(t(1:16000),c(1:16000),'-b','LineWidth',1)
hold on 
plot(t(1:16000),-z(1:16000),'-k','LineWidth',1)

xlabel('time (secs)')
ylabel(' Moment (N-m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Time series of load in z-direction (Shear force) in Section 1')
grid on