%% Mooring
clc
clear all
close all
LC1M1 = readmatrix('LC1-sima-M1.txt');
LC2M1 = readmatrix('LC2-sima-M1.txt');
LC3M1 = readmatrix('LC3-sima-M1.txt');
LC1M2 = readmatrix('LC1-sima-M2.txt');
LC2M2 = readmatrix('LC2-sima-M2.txt');
LC3M2 = readmatrix('LC3-sima-M2.txt');
LC1M3 = readmatrix('LC1-sima-M3.txt');
LC2M3 = readmatrix('LC2-sima-M3.txt');
LC3M3 = readmatrix('LC3-sima-M3.txt');
 
figure
subplot(3,1,1)
plot(t1,LC1M1,'-r','LineWidth',1)
hold on 
plot(t1,LC1M2,'-b','LineWidth',1)
hold on
plot(t1,LC1M3,'-m','LineWidth',1)
legend('Line1','Line2','Line3')
xlabel('time (secs)')
ylabel('  Load (N)')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC1')
grid on
subplot(3,1,2)
plot(t1,LC2M1,'-r','LineWidth',1)
hold on 
plot(t1,LC2M2,'-b','LineWidth',1)
hold on
plot(t1,LC2M3,'-m','LineWidth',1)
legend('Line1','Line2','Line3')
xlabel('time (secs)')
ylabel(' Load (N)')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC2')
grid on
subplot(3,1,3)
plot(t1,LC3M1,'-r','LineWidth',1)
hold on 
plot(t1,LC3M2,'-b','LineWidth',1)
hold on
plot(t1,LC3M3,'-m','LineWidth',1)
legend('Line1','Line2','Line3')
xlabel('time (secs)')
ylabel('Load (N)')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('LC3')
grid on