clear all
close all
table1 = readmatrix('Force');
 MySIMA = table1(:,24)-mean(table1(:,24));
table2 = readmatrix('LC1-TB-My-Wasim.txt');
MyWASIM= table2(:,1)-mean(table2(:,1));
t =[0.1:.1:4000];
% t1 = [4:4:4000];
plot(t(36000:40000),-MySIMA(36000:40000),'-b','LineWidth',1.5, 'MarkerSize',2)
hold on
plot(t(36000:40000),MyWASIM(36000:40000),'-r','LineWidth',0.75)
legend('SIMA','WASIM+SIMA')
xlabel('time (secs)')
ylabel( 'M_{y} (N.m)')
title('Comparison of Tower Base Bending Moment, M_{y}')
grid on

