clear all
close all
clc
%%  READING FILES
T = 21;
dt = 0.1;
omega=1./T;
table1 = readmatrix('Sectionload.txt');
table2 = readmatrix('Sectionload 2.txt');
table3 = readmatrix('Sectionload 3.txt');
table4 = readmatrix('loadwasimsection1.txt');
table5 = readmatrix('loadwasimsection2.txt');
table6 = readmatrix('loadwasimsection3.txt');
table7 = readmatrix('loadsimasection1.txt');
table8 = readmatrix('loadsimasection2.txt');
table9 = readmatrix('loadsimasection3.txt');
t      = readmatrix('timeseries.txt');

f1_wasim_fx = table4(:,103);
f1_wasim_fx_new = f1_wasim_fx - mean(f1_wasim_fx );
f1_wasim_fx_xbp = bpass(f1_wasim_fx_new,dt,(0.9/T),(1.1/T));

f1_wasim_fz = table4(:,105);
f1_wasim_fz_new = f1_wasim_fz - mean(f1_wasim_fz);
f1_wasim_fz_xbp = bpass(f1_wasim_fz_new,dt,(0.9/T),(1.1/T));

f1_wasim_My = table4(:,107);
f1_wasim_My_new = f1_wasim_My - mean(f1_wasim_My);
f1_wasim_My_xbp = bpass(f1_wasim_My_new,dt,(0.9/T),(1.1/T));

f2_wasim_fx = table5(:,103);
f2_wasim_fx_new = f2_wasim_fx - mean(f2_wasim_fx );
f2_wasim_fx_xbp = bpass(f2_wasim_fx_new,dt,(0.9/T),(1.1/T));

f2_wasim_fz = table5(:,105);
f2_wasim_fz_new = f2_wasim_fz - mean(f2_wasim_fz );
f2_wasim_fz_xbp = bpass(f2_wasim_fz_new,dt,(0.9/T),(1.1/T));

f2_wasim_My = table5(:,107);
f2_wasim_My_new = f2_wasim_My - mean(f2_wasim_My );
f2_wasim_My_xbp = bpass(f2_wasim_My_new,dt,(0.9/T),(1.1/T));

f3_wasim_fx = table6(:,103);
f3_wasim_fx_new = f3_wasim_fx - mean(f3_wasim_fx );
f3_wasim_fx_xbp = bpass(f3_wasim_fx_new,dt,(0.9/T),(1.1/T));

f3_wasim_fz = table6(:,105);
f3_wasim_fz_new = f3_wasim_fz - mean(f3_wasim_fz );
f3_wasim_fz_xbp = bpass(f3_wasim_fz_new,dt,(0.9/T),(1.1/T));

f3_wasim_My = table6(:,107);
f3_wasim_My_new = f3_wasim_My - mean(f3_wasim_My );
f3_wasim_My_xbp = bpass(f3_wasim_My_new,dt,(0.9/T),(1.1/T));


f1_sima_fx = table7(:,103);
f1_sima_fx_new = f1_sima_fx - mean(f1_sima_fx );
f1_sima_fx_xbp = bpass(f1_sima_fx_new,dt,(0.9/T),(1.1/T));
 
f1_sima_fz = table7(:,105);
f1_sima_fz_new = f1_sima_fz - mean(f1_sima_fz);
f1_sima_fz_xbp = bpass(f1_sima_fz_new,dt,(0.9/T),(1.1/T));
 
f1_sima_My = table7(:,107);
f1_sima_My_new = f1_sima_My - mean(f1_sima_My);
f1_sima_My_xbp = bpass(f1_sima_My_new,dt,(0.9/T),(1.1/T));
 
f2_sima_fx = table8(:,103);
f2_sima_fx_new = f2_sima_fx - mean(f2_sima_fx );
f2_sima_fx_xbp = bpass(f2_sima_fx_new,dt,(0.9/T),(1.1/T));
 
f2_sima_fz = table8(:,105);
f2_sima_fz_new = f2_sima_fz - mean(f2_sima_fz );
f2_sima_fz_xbp = bpass(f2_sima_fz_new,dt,(0.9/T),(1.1/T));
 
f2_sima_My = table8(:,107);
f2_sima_My_new = f2_sima_My - mean(f2_sima_My );
f2_sima_My_xbp = bpass(f2_sima_My_new,dt,(0.9/T),(1.1/T));
 
f3_sima_fx = table9(:,103);
f3_sima_fx_new = f3_sima_fx - mean(f3_sima_fx );
f3_sima_fx_xbp = bpass(f3_sima_fx_new,dt,(0.9/T),(1.1/T));
 
f3_sima_fz = table9(:,105);
f3_sima_fz_new = f3_sima_fz - mean(f3_sima_fz );
f3_sima_fz_xbp = bpass(f3_sima_fz_new,dt,(0.9/T),(1.1/T));
 
f3_sima_My = table9(:,107);
f3_sima_My_new = f3_sima_My - mean(f3_sima_My );
f3_sima_My_xbp = bpass(f3_sima_My_new,dt,(0.9/T),(1.1/T));

figure(1)
subplot(3,1,1)
plot(t(1:16000),f1_wasim_fx(1:16000),'-b','LineWidth',0.75)
hold on
plot(t(1:16000),f1_sima_fx(1:16000),'-k','LineWidth',0.75)
% legend('WASIM (Time domain)','SIMA+WASIM (Time domain)')
xlabel('time(secs)')
ylabel('Load (N) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
 title('Time series of Load in x-direction (Axial force)  in Section 1')
grid on
subplot(3,1,2)
plot(t(1:16000),f1_wasim_fz(1:16000),'-b','LineWidth',0.75)
hold on
plot(t(1:16000),f1_sima_fz(1:16000),'-k','LineWidth',0.75)
% legend('WASIM (Time domain)','SIMA+WASIM (Time domain)','Location','best')
xlabel('time(secs)')
ylabel(' Load (N) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
 title('Time series of load in z-direction (Shear force)  in Section 1 ')
grid on
subplot(3,1,3)
plot(t(1:16000),-f1_wasim_My(1:16000),'-b','LineWidth',0.75)
hold on
plot(t(1:16000),f1_sima_My(1:16000),'-k','LineWidth',0.75)
% legend('WASIM (Time domain)','SIMA+WASIM (Time domain)')
xlabel('time(secs)')
ylabel(' Moment (N-m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
th = title('Time series of Moment about y-axis (Fore-Aft Bending Moment) in Section 1 ','FontSize',9,'Position',[910 2.5367e+07 0])
grid on
AX=legend('WASIM','WASIM+SIMA','NumColumns',2)
%%
figure(2)
subplot(3,1,1)
plot(t(12000:16000),f1_wasim_fx_xbp(12000:16000),'-b','LineWidth',0.75)
hold on
plot(t(12000:16000),f1_sima_fx_xbp(12000:16000),'-k','LineWidth',0.75)
% legend('WASIM (Time domain)','SIMA+WASIM (Time domain)')
xlabel('time(secs)')
ylabel('Load (N) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Time series of Load in x-direction (Axial force)  in Section 1')
grid on
subplot(3,1,2)
plot(t(12000:16000),f1_wasim_fz_xbp(12000:16000),'-b','LineWidth',0.75)
hold on
plot(t(12000:16000),f1_sima_fz_xbp(12000:16000),'-k','LineWidth',0.75)
% legend('WASIM (Time domain)','SIMA+WASIM (Time domain)','Location','best')
xlabel('time(secs)')
ylabel(' Load (N) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
title('Time series of load in z-direction (Shear force)  in Section 1 ')
grid on
subplot(3,1,3)
plot(t(12000:16000),f1_wasim_My_xbp(12000:16000),'-b','LineWidth',0.75)
hold on
plot(t(12000:16000),f1_sima_My_xbp(12000:16000),'-k','LineWidth',0.75)

% legend('WASIM (Time domain)','SIMA+WASIM (Time domain)')
xlabel('time(secs)')
ylabel(' Moment (N-m) ')
% title('Response Amplitude Operator - Heave @ Wave heading 0 degree')
th1 = title('Time series of Moment about y-axis (Fore-Aft Bending Moment) in Section 1 ','FontSize',9,'Position',[1435 3.1621e+07 1.4211e-14])
grid on
AX=legend('WASIM','WASIM+SIMA','location','northeast','orientation','horizontal')